## org.eclipse.datatools.connectivity.sqm.loader
Interface IConnectionFilterProvider

All Known Implementing Classes:
  CatalogFilterProvider, ConnectionFilterProvider, SchemaFilterProvider, SchemaObjectFilterProvider

    public interface IConnectionFilterProvider

This interface is used by the generic catalog loader helper classes to retrieve any ConnectionFilter that may be defined for the specified object.

Since:
  1.0

Method Summary
`org.eclipse.datatools.connectivity.sqm.internal.core.connection.ConnectionFilter` `getConnectionFilter(ICatalogObject catalogObject)` Returns the ConnectionFilter associated with the given catalog object.

Method Detail

### getConnectionFilter

    org.eclipse.datatools.connectivity.sqm.internal.core.connection.ConnectionFilter getConnectionFilter(ICatalogObject catalogObject)

  Returns the ConnectionFilter associated with the given catalog object. For example: If this object is to be used in conjunction with a table loader, this method should return the ConnectionFilter representing the table filtering criteria for the specified object (e.g. a particular schema object).

  Parameters:
    `catalogObject` - the catalog object being loaded.
  Returns:
    the filter associated with the catalog object.